package be.iminds.ilabt.jfed.experimenter_gui.slice.events;

import be.iminds.ilabt.jfed.experiment.ExperimentController;
import javafx.stage.Window;

/**
 * User: twalcari
 * Date: 5/12/2015
 * Time: 15:36
 */
public abstract class ExperimentControllerEvent {

    private final Window parentWindow;
    private final ExperimentController experimentController;

    public ExperimentControllerEvent(Window parentWindow, ExperimentController experimentController) {
        this.parentWindow = parentWindow;
        this.experimentController = experimentController;
    }

    public ExperimentController getExperimentController() {
        return experimentController;
    }

    public Window getParentWindow() {
        return parentWindow;
    }
}
